### Method

# WebKit2 WebContext get_plugins_finish

#### Declaration [src]

    GList*
    webkit_web_context_get_plugins_finish (
      WebKitWebContext* context,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finish an asynchronous operation started with webkit_web_context_get_plugins.

Deprecated since: | 2.32
Please do not use it in newly written code.

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | A list of `WebKitPlugin*`
| A `GList` of `WebKitPlugin`. You must free the `GList` with `g_list_free()` and unref the `WebKitPlugin`s with `g_object_unref()` when you’re done with them.
| The caller of the method takes ownership of the data, and is responsible for freeing it.